package hmggirlfront.items;

import java.util.List;

import javax.annotation.Nullable;

import gvclib.item.ItemAttachment;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.item.ItemStack;
import net.minecraft.util.text.TextFormatting;
import net.minecraft.util.text.translation.I18n;
import net.minecraft.world.World;

public class ItemDollAttachment extends ItemAttachment {
	
	public int doll_evasion = 0;
	public float doll_bure = 0;
	
	public int doll_armor = 0;
	
	public ItemDollAttachment() {
		super();

		this.maxStackSize = 1;
	}
	
	public void addInformation(ItemStack stack, @Nullable World worldIn, List<String> tooltip, ITooltipFlag flagIn) {
		super.addInformation(stack, worldIn, tooltip, flagIn);
		String am = "";
		if(id == 80) {
    		am = "Frame";
    		tooltip.add(TextFormatting.YELLOW + "DollOnly " + ":" + I18n.translateToLocal(am));
    		tooltip.add(TextFormatting.GREEN + "DEX " + ": +" + I18n.translateToLocal(String.valueOf(this.doll_evasion)));
    		tooltip.add(TextFormatting.GREEN + "ACC " + ": *" + I18n.translateToLocal(String.valueOf(this.doll_bure)));
    	}
		if(id == 81) {
    		am = "Armor";
    		tooltip.add(TextFormatting.YELLOW + "DollOnly " + ":" + I18n.translateToLocal(am));
    		tooltip.add(TextFormatting.GREEN + "ARMOR " + ": +" + I18n.translateToLocal(String.valueOf(this.doll_armor)));
    	}
		if(id == 200) {
    		am = "DollClass";
    		tooltip.add(TextFormatting.YELLOW + "DollOnly " + ":" + I18n.translateToLocal(am));
    	}
	}
}
